function getContentBrowser(){
  var windowMediator = Components.classes["@mozilla.org/appshell/window-mediator;1"]
                       .getService(Components.interfaces.nsIWindowMediator);
  var topWindowOfType = windowMediator.getMostRecentWindow("navigator:browser");
  if(topWindowOfType) return topWindowOfType.document.getElementById("content");
  return null;
}

function setBlankTarget(contentDocument, tagName){
  var alist = contentDocument.getElementsByTagName(tagName);
  for(i=0; i<alist.length; i++){
    var a = alist.item(i);
    a.target = "_blank";
  }
}

function tabloc(){
  var contentBrowser = getContentBrowser();
  if(!contentBrowser){ return; }
  var browser = contentBrowser.selectedBrowser;
  if(!browser){ return; }
  var contentDocument = browser.contentDocument;
  if(!contentDocument){ return; }
  setBlankTarget(contentDocument, "a");
  setBlankTarget(contentDocument, "form");
}
